stat
tempnam
Filesystem Functions
PHP Manual

# symlink

(PHP 4, PHP 5)

symlink — Creates a symbolic link

### Description

bool symlink ( string `$target` , string `$link` )

symlink() creates a symbolic link to the existing `target` with the specified name `link` .

### Parameters

`target`

  Target of the link.

`link`

  The link name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms (Vista, Server 2008 or greater).

### Examples

Example #1 Create a symbolic link

`<?php
$target = 'uploads.php';
$link = 'uploads';
symlink($target, $link);
echo(readlink($link));
?>`

### Notes

> Note: For Windows only: This function will only function if the system you run PHP from is Windows Vista/Windows Server 2008 or greater. Windows versions prior to that does not support symbolic links.

### See Also

- link() - Create a hard link
- readlink() - Returns the target of a symbolic link
- linkinfo() - Gets information about a link

stat
tempnam
Filesystem Functions
PHP Manual